#pragma once


// CSymbolSelectDlg dialog
#include "TestWrapperAPIDlg.h"
#include "afxwin.h"
#include "afxcmn.h"

struct GroupData
{
	CString strGroup;
	CString strGroupText;
};

class CSymbolSelectDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CSymbolSelectDlg)

public:
	CSymbolSelectDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSymbolSelectDlg();
	void SetParent(CTestWrapperAPIDlg *Parent);
	void SetFilter(CString strFilter);
// Dialog Data
	enum { IDD = IDD_SYMBOLSELECTDLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
protected:
	CTestWrapperAPIDlg *m_Parent;
	CMapStringToString m_mapFilter;
	void GetSymbolClassification(CString strParam1=_T(""), CString strParam2=_T(""), CString strParam3=_T(""), CString strParam4=_T(""), CString strParam5=_T(""));
public:
	CString m_strSymbol;
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangecmbroot();
	afx_msg void OnCbnSelchangecmbexchange();
	afx_msg void OnCbnSelchangecmbgroup1();
	afx_msg void OnCbnSelchangecmbgroup2();
	CComboBox m_cmbRoot;
	CComboBox m_cmbExchange;
	CComboBox m_cmbGroup1;
	CComboBox m_cmbGroup2;
	CListCtrl m_ListSymbol;
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedOk();
	afx_msg void OnDblclkListSymbol(NMHDR *pNMHDR, LRESULT *pResult);
	CComboBox m_cmbGroup3;
	CComboBox m_cmbGroup4;
	afx_msg void OnCbnSelchangecmbgroup3();
	afx_msg void OnCbnSelchangecmbgroup4();
};
